\begin{subsection}{Циклические группы}
  \begin{theorem}
    Пусть $|G|$ -- циклическая группа.

    1. Если $|G| = \infty$, то $G \overset{\sim}{=} \Z$

    2. Если $|G| = n < \infty$, то $G \overset{\sim}{=} \Z/n\Z$
  \end{theorem}
  \begin{proof}
    Имеем $G = \langle g \rangle$

    Рассмотрим $\varphi: \Z \rightarrow G$

    $k \mapsto g^k$

    Очевидно, $\varphi$ гомоморфизм, $\Image \varphi = G$

    Посмотрим на ядро. % ಠ_ಠ

    1. $\ker \varphi = \set{0} \SO \varphi $ -- изоморфизм, т.е. $G \overset{\sim}{=} \Z$ 

    2. $\ker \varphi \neq \set{0}$

    Проверим, что $\ker \varphi $ --- идеал в $\Z$

    $a, b \in \ker \varphi \SO a + b \in \ker \varphi$, т.к. $\ker \varphi$ -- подгруппа

    $a \in \ker \varphi \SO -a \in \ker \varphi$, т.к. $\ker \varphi$ -- подгруппа

    Осталось проверить, что $\begin{cases} a \in \ker \varphi \\ n \in \N \end{cases} \SO na \in \ker \varphi$

    $\varphi(na) = \varphi(\underbrace{a + \ldots + a}_{n}) = \underbrace{\varphi(a) + \ldots + \varphi(a)}_{n} = \sum 0 = 0$

    $\ker \varphi$ -- идеал, $\ker \varphi \neq \set{0}$

    $\SO \ker \varphi = (n) = n\Z$

    По теореме о гомоморфизме $\Image \varphi \overset{\sim}{=} \Z/\ker \varphi = \Z/n\Z$
  \end{proof}
\end{subsection}


